package ru.kirillius.pf.sdn.flow;

import ru.kirillius.pf.sdn.api.flow.CallContext;
import ru.kirillius.pf.sdn.api.flow.FlowFunction;
import ru.kirillius.pf.sdn.api.properties.PropertyDescriptor;

import java.util.Map;

public class DummyFunction implements FlowFunction {

    @Override
    public void apply(CallContext context) {
        throw new UnsupportedOperationException("Not implemented");
    }

    @Override
    public Map<String, PropertyDescriptor> getProperties() {
        return Map.of();
    }

    @Override
    public boolean hasInputs() {
        return true;
    }

    @Override
    public boolean hasOutputs() {
        return true;
    }
}
